diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index e96a162721..43de121d5c 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -16548,62 +16548,69 @@ (define-public emacs-org
      (list
       #:tests? #t
       #:test-command #~(list "make" "test-dirty")
-      #:phases
-      #~(modify-phases %standard-phases
-          (replace 'expand-load-path
-            ;; Make sure `load-path' includes "lisp" directory, otherwise
-            ;; byte-compilation fails.
-            (lambda args
-              (with-directory-excursion "lisp"
-                (apply (assoc-ref %standard-phases 'expand-load-path) args))))
-          (add-after 'expand-load-path 'bootstrap
-            ;; XXX: Generate "org-loaddefs.el".
-            (lambda _
-              (invoke "make" "autoloads")))
-          (add-before 'check 'fix-tests
-            (lambda* (#:key inputs #:allow-other-keys)
-              ;; XXX: Running tests updates ID locations.  The process expects
-              ;; a file to be writeable in "~/.emacs.d/".
-              (setenv "HOME" (getcwd))
-              (mkdir-p ".emacs.d")
-              ;; These files are modified during testing.
-              (with-directory-excursion "testing/examples"
-                (for-each make-file-writable
-                          '("babel.org"
-                            "ob-awk-test.org"
-                            "ob-sed-test.org"
-                            "ob-shell-test.org"))
-                ;; Specify where sh executable is.
-                (let ((sh (search-input-file inputs "/bin/sh")))
-                  (substitute* "babel.org"
-                    (("/bin/sh") sh))))
-              ;; XXX: Skip failing tests.
-              (substitute* "testing/lisp/test-ob-shell.el"
-                (("ob-shell/remote-with-stdin-or-cmdline .*" all)
-                 (string-append all "  (skip-unless nil)\n")))
-              (substitute* "testing/lisp/test-org.el"
-                (("test-org/org-(encode-time|time-string-to-time) .*" all)
-                 (string-append all "  (skip-unless nil)\n")))))
-          (replace 'install
-            (lambda _
-              (let ((elpa (elpa-directory #$output))
-                    (info (string-append #$output "/share/info")))
-                (substitute* "local.mk"
-                  (("^lispdir.*") (string-append "lispdir = " elpa))
-                  (("^datadir.*") (string-append "datadir = " elpa "/etc"))
-                  (("^infodir.*") (string-append "infodir = " info))))
-              (invoke "make" "install" (string-append "ORGVERSION=" #$version))))
-          (add-after 'install 'install-org-news
-            ;; Install ORG-NEWS files in doc directory.
-            (lambda _
-              (install-file "etc/ORG-NEWS"
-                            (string-append #$output "/share/doc/"
-                                           #$name "-" #$version)))))))
-    (native-inputs
-     (list texinfo))
+      #:phases #~(modify-phases %standard-phases
+                   (replace 'expand-load-path
+                     ;; Make sure `load-path' includes "lisp" directory, otherwise
+                     ;; byte-compilation fails.
+                     (lambda args
+                       (with-directory-excursion "lisp"
+                         (apply (assoc-ref %standard-phases
+                                           'expand-load-path) args))))
+                   (add-after 'expand-load-path 'bootstrap
+                     ;; XXX: Generate "org-loaddefs.el".
+                     (lambda _
+                       (invoke "make" "autoloads")))
+                   (add-before 'check 'fix-tests
+                     (lambda* (#:key inputs #:allow-other-keys)
+                       ;; XXX: Running tests updates ID locations.  The process expects
+                       ;; a file to be writeable in "~/.emacs.d/".
+                       (setenv "HOME"
+                               (getcwd))
+                       (mkdir-p ".emacs.d")
+                       ;; These files are modified during testing.
+                       (with-directory-excursion "testing/examples"
+                         (for-each make-file-writable
+                                   '("babel.org" "ob-awk-test.org"
+                                     "ob-sed-test.org" "ob-shell-test.org"))
+                         ;; Specify where sh executable is.
+                         (let ((sh (search-input-file inputs "/bin/sh")))
+                           (substitute* "babel.org"
+                             (("/bin/sh")
+                              sh))))
+                       ;; XXX: Skip failing tests.
+                       (substitute* "testing/lisp/test-ob-shell.el"
+                         (("ob-shell/remote-with-stdin-or-cmdline .*" all)
+                          (string-append all "  (skip-unless nil)\n")))
+                       (substitute* "testing/lisp/test-org.el"
+                         (("test-org/org-(encode-time|time-string-to-time) .*"
+                           all)
+                          (string-append all "  (skip-unless nil)\n")))))
+                   (replace 'install
+                     (lambda _
+                       (let ((elpa (elpa-directory #$output))
+                             (info (string-append #$output "/share/info")))
+                         (substitute* "local.mk"
+                           (("^lispdir.*")
+                            (string-append "lispdir = " elpa))
+                           (("^datadir.*")
+                            (string-append "datadir = " elpa "/etc"))
+                           (("^infodir.*")
+                            (string-append "infodir = " info))))
+                       (invoke "make" "install"
+                               (string-append "ORGVERSION="
+                                              #$version))))
+                   (add-after 'install 'install-org-news
+                     ;; Install ORG-NEWS files in doc directory.
+                     (lambda _
+                       (install-file "etc/ORG-NEWS"
+                                     (string-append #$output "/share/doc/"
+                                                    #$name "-"
+                                                    #$version)))))))
+    (native-inputs (list texinfo))
     (home-page "https://orgmode.org/")
     (synopsis "Outline-based notes management and organizer")
-    (description "Org is an Emacs mode for keeping notes, maintaining TODO
+    (description
+     "Org is an Emacs mode for keeping notes, maintaining TODO
 lists, and project planning with a fast and effective lightweight markup
 language.  It also is an authoring system with unique support for literate
 programming and reproducible research.")